/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.log.resourcebundle;

/**
 * blancoLogのメッセージクラス。プログラム中で利用されるメッセージを格納します。
 */
public class BlancoLogProgramMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoLogProgramMessageResourceBundle fBundle = new BlancoLogProgramMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB001]の文字列を取得します。
     *
     * No.2:
     * 文字列[[MBLGB001] バイナリログファイルの出力先となる基準ディレクトリ[{0}]の作成に失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB001] " + fBundle.getMblgb001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB002]の文字列を取得します。
     *
     * No.3:
     * 文字列[[MBLGB002] バイナリログファイルの出力先となるディレクトリ(年月日つき)[{0}]の作成に失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb002(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB002] " + fBundle.getMblgb002(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB003]の文字列を取得します。
     *
     * No.4:
     * 文字列[[MBLGB003] バイナリログファイルを出力するファイル[{0}]の新規作成に失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb003(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB003] " + fBundle.getMblgb003(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB004]の文字列を取得します。
     *
     * No.5:
     * 文字列[[MBLGB004] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb004(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB004] " + fBundle.getMblgb004(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB005]の文字列を取得します。
     *
     * No.6:
     * 文字列[[MBLGB005] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb005(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb005]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb005]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB005] " + fBundle.getMblgb005(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB006]の文字列を取得します。
     *
     * No.7:
     * 文字列[[MBLGB006] バイナリログファイルを出力するファイル[{0}]への書き込みに失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb006(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb006]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB006] " + fBundle.getMblgb006(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB007]の文字列を取得します。
     *
     * No.8:
     * 文字列[[MBLGB007] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb007(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb007]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb007]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB007] " + fBundle.getMblgb007(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB008]の文字列を取得します。
     *
     * No.9:
     * 文字列[[MBLGB008] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb008(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb008]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb008]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB008] " + fBundle.getMblgb008(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB009]の文字列を取得します。
     *
     * No.10:
     * 文字列[[MBLGB009] バイナリログファイルを出力するファイル[{0}]のロック取得に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb009(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb009]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb009]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB009] " + fBundle.getMblgb009(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB010]の文字列を取得します。
     *
     * No.11:
     * 文字列[[MBLGB010] バイナリログファイルを出力するファイル[{0}]のロック解放に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb010(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb010]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb010]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB010] " + fBundle.getMblgb010(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB011]の文字列を取得します。
     *
     * No.12:
     * 文字列[[MBLGB011] バイナリログファイルを出力するファイル[{0}]のチャネルクローズに失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb011(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb011]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb011]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB011] " + fBundle.getMblgb011(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGB012]の文字列を取得します。
     *
     * No.13:
     * 文字列[[MBLGB012] バイナリログファイルを出力するファイル[{0}]のクローズに失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgb012(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb012]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgb012]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGB012] " + fBundle.getMblgb012(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGLG01]の文字列を取得します。
     *
     * No.17:
     * 文字列[[MBLGLG01] Apache log4j クラスの読み込みに失敗しました。クラスパスに Apache log4j の jarファイルが適切に含まれていることを確認してください:{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblglg01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblglg01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGLG01] " + fBundle.getMblglg01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCF01]の文字列を取得します。
     *
     * No.20:
     * 文字列[ThreadDeath によりログ展開できません。]
     *
     * @return メッセージ文字列。
     */
    public String getMblgcf01() {
        return "[MBLGCF01] " + fBundle.getMblgcf01();
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH01]の文字列を取得します。
     *
     * No.21:
     * 文字列[Java システムプロパティー[{0}]が指定されていません。処理続行できません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH01] " + fBundle.getMblgch01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH02]の文字列を取得します。
     *
     * No.22:
     * 文字列[Java システムプロパティー[{0}]で指定されたディレクトリは存在しません:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch02(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch02]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH02] " + fBundle.getMblgch02(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH03]の文字列を取得します。
     *
     * No.23:
     * 文字列[予期せぬ入出力例外が発生:{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch03(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH03] " + fBundle.getMblgch03(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH04]の文字列を取得します。
     *
     * No.24:
     * 文字列[ファイル[{0}]のロック取得できませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch04(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH04] " + fBundle.getMblgch04(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH05]の文字列を取得します。
     *
     * No.25:
     * 文字列[指定のログ・ディレクトリー[{0}]は存在しません。ログ出力をあきらめます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch05(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH05] " + fBundle.getMblgch05(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH06]の文字列を取得します。
     *
     * No.26:
     * 文字列[指定のログ・ディレクトリー[{0}]は実際にはディレクトリーではありません。ログ出力をあきらめます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch06(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch06]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH06] " + fBundle.getMblgch06(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH07]の文字列を取得します。
     *
     * No.27:
     * 文字列[ログファイル[{0}]の作成に失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch07(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch07]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH07] " + fBundle.getMblgch07(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH08]の文字列を取得します。
     *
     * No.28:
     * 文字列[ログファイル[{0}]の作成に失敗しました。入出力例外が発生しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch08(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch08]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch08]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH08] " + fBundle.getMblgch08(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogProgram]、キー[MBLGCH09]の文字列を取得します。
     *
     * No.29:
     * 文字列[予期せぬ入出力例外が発生:{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMblgch09(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMblgch09]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBLGCH09] " + fBundle.getMblgch09(arg0);
    }
}
